Nvidia-legacy-340xx-driver depoda yok

nvidia-legacy-340xx-driver depoda yok.
Nereden yükleyebilirim?

1 Beğeni

Kernel uyumsuzluğu bağımlılıklar yüzünden nvidia sitesinden indirdiğim dosyada çalışmıyor.

Nouveau ile Stellarium uygulamasını çalıştırınca bilgisayarım donuyor.

Çözüm bulamadığım için geri döndüm nouveau ya

inxi -G
Graphics:
  Device-1: NVIDIA GT218 [GeForce 210] driver: nouveau v: kernel 
  Display: x11 server: X.Org 1.20.11 driver: loaded: modesetting 
  unloaded: fbdev,vesa resolution: 1280x1024~60Hz 
  OpenGL: renderer: NVA8 v: 3.3 Mesa 20.3.5 

dmesg
[   23.406877] nouveau 0000:08:00.0: firmware: failed to load nouveau/nva8_fuc084 (-2)
[   23.406881] firmware_class: See https://wiki.debian.org/Firmware for information about missing firmware
[   23.406882] nouveau 0000:08:00.0: Direct firmware load for nouveau/nva8_fuc084 failed with error -2
[   23.406889] nouveau 0000:08:00.0: firmware: failed to load nouveau/nva8_fuc084d (-2)
[   23.406889] nouveau 0000:08:00.0: Direct firmware load for nouveau/nva8_fuc084d failed with error -2
[   23.406891] nouveau 0000:08:00.0: msvld: unable to load firmware data
[   23.406892] nouveau 0000:08:00.0: msvld: init failed, -19

Bu paket non-free yani kapalı kaynak bir yazılım olduğu için ve barındırdığı modeller ekseriyetinde biraz eski olduğu için herhalde 21 deposunda yok diye tahmin ediyorum. Belki 19.5 ve 17 depolarında mevcuttur. Bunun için depo bağlantılarını eklemeniz gerekiyor:

$ sudo apt gedit /etc/apt/sources.list diyerek şu bağlantıları kopyalayıp yapıştırın:

deb http://depo.pardus.org.tr/pardus onyedi main non-free contrib
deb-src http://depo.pardus.org.tr/pardus onyedi main non-free contrib

deb http://depo.pardus.org.tr/guvenlik onyedi main non-free contrib
deb-src http://depo.pardus.org.tr/guvenlik onyedi main non-free contrib

deb http://depo.pardus.org.tr/pardus ondokuz main non-free contrib
deb-src http://depo.pardus.org.tr/pardus ondokuz main non-free contrib

deb http://depo.pardus.org.tr/guvenlik ondokuz main non-free contrib
deb-src http://depo.pardus.org.tr/guvenlik ondokuz main non-free contrib

Ardından $ sudo apt update && sudo apt search nvidia-legacy-340xx-driver diyerek paket var mı yok mu bakabilirsiniz. Eğer yoksa buraya bakabilirsiniz.

E: nvidia-legacy-340xx-kernel-dkms: nvidia-legacy-340xx-kernel-dkms paketi post-installation betiği kuruldu alt süreci 10 hatalı çıkış kodu ile sona erdi
E: nvidia-legacy-340xx-driver: bağımlılık sorunları - yapılandırılmadan bırakılıyor

Depoları ekleyip yükledim. Bu hata mesajı çıktı.

Merhaba. Dependency, yani bağımlılık sorunu mevcut. Bunun sebebi bu paketin doğru çalışabilmesi için başka bir pakete ihtiyacı olması. Terminale $ sudo apt install nvidia-legacy-340xx-driver-libs yazarak gerekli paketi yükleyin. Eğer hala bu hatayı alıyorsanız bu adrese giderek gerekli tüm paketleri görebilirsiniz. Hepsini yükleyerek bu sürücüyü kurabileceğinizi düşünüyorum.

Biraz yanlış bir bilgilendirme olmuş. Pardus 21 bir sisteme Pardus 19 paketlerini dahil etmek bir sürü çakışma ve paket sürümü uyumsuzluğu sorunu çıkarır. Böyle bir şey yapmamanız lazım.

@Bekir Eğer illa Pardus 19’daki eski bir paketi kullanacaksanız Pardus 19’u kullanmanızı öneririm.